
From: "Randy.Dunlap" <rddunlap@osdl.org>

From: Luiz Fernando Capitulino <lcapitulino@prefeitura.sp.gov.br>

this patch fixes this warning:

drivers/ide/pci/triflex.c:49: warning: `triflex_get_info' defined but not used



---

 25-akpm/drivers/ide/pci/triflex.c |    2 ++
 25-akpm/drivers/ide/pci/triflex.h |   16 ++++++++--------
 2 files changed, 10 insertions(+), 8 deletions(-)

diff -puN drivers/ide/pci/triflex.c~janitor-triflex-non-procfs-fix drivers/ide/pci/triflex.c
--- 25/drivers/ide/pci/triflex.c~janitor-triflex-non-procfs-fix	Wed Feb  4 14:06:08 2004
+++ 25-akpm/drivers/ide/pci/triflex.c	Wed Feb  4 14:06:08 2004
@@ -45,6 +45,7 @@
 
 static struct pci_dev *triflex_dev;
 
+#ifdef CONFIG_PROC_FS
 static int triflex_get_info(char *buf, char **addr, off_t offset, int count)
 {
 	char *p = buf;
@@ -91,6 +92,7 @@ static int triflex_get_info(char *buf, c
 	
 	return len > count ? count : len;
 }
+#endif
 
 static int triflex_tune_chipset(ide_drive_t *drive, u8 xferspeed)
 {
diff -puN drivers/ide/pci/triflex.h~janitor-triflex-non-procfs-fix drivers/ide/pci/triflex.h
--- 25/drivers/ide/pci/triflex.h~janitor-triflex-non-procfs-fix	Wed Feb  4 14:06:08 2004
+++ 25-akpm/drivers/ide/pci/triflex.h	Wed Feb  4 14:06:08 2004
@@ -14,8 +14,16 @@
 
 static unsigned int __devinit init_chipset_triflex(struct pci_dev *, const char *);
 static void init_hwif_triflex(ide_hwif_t *);
+#ifdef CONFIG_PROC_FS
 static int triflex_get_info(char *, char **, off_t, int);
 
+static ide_pci_host_proc_t triflex_proc __initdata = {
+	.name		= "triflex",
+	.set		= 1,
+	.get_info 	= triflex_get_info,
+};
+#endif
+
 static ide_pci_device_t triflex_devices[] __devinitdata = {
 	{
 		.vendor 	= PCI_VENDOR_ID_COMPAQ,
@@ -33,14 +41,6 @@ static ide_pci_device_t triflex_devices[
 	}
 };
 
-#ifdef CONFIG_PROC_FS
-static ide_pci_host_proc_t triflex_proc __initdata = {
-	.name		= "triflex",
-	.set		= 1,
-	.get_info 	= triflex_get_info,
-};
-#endif
-
 static struct pci_device_id triflex_pci_tbl[] = {
 	{ PCI_VENDOR_ID_COMPAQ, PCI_DEVICE_ID_COMPAQ_TRIFLEX_IDE, PCI_ANY_ID, 
 		PCI_ANY_ID, 0, 0, 0 },

_
